PRIOn Logo

CVE-2024-21525 Buffer overflow

Routine
Remediate Within 6 Months

CVE Information

Original CVE data

Published:
Updated:

All versions of the package node-twain are vulnerable to Improper Check or Handling of Exceptional Conditions due to the length of the source data not being checked. Creating a new twain.TwainSDK with a productName or productFamily, manufacturer, version.info property of length >= 34 chars leads to a buffer overflow vulnerability.

CWE:
CVSS v2-
CVSS v3-
References
https://security.snyk.io/vuln/SNYK-JS-NODETWAIN-6421153
https://gist.github.com/dellalibera/55b87634a6c360e5be22a715f0566c99
Affected Vendors

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Buffer overflow

CVSS Scores as calculated by PRIOnengine
CVSS v26.4
AV:N/AC:L/AU:N/C:N/I:P/A:P
CVSS v37.8
AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
MITRE CWE Top 25

-

Exploits

No exploit code is reported to exist.

Active Exploitation

Vulnerability is not in CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1499.004 - Endpoint Denial of Service (Application or System Exploitation)
T1203 - Exploitation for Client Execution
T1059 - Command and Scripting Interpreter

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.2 - Buffer Overflows

Web Application Security Frameworks

Applicable if the issue likely affects a web application

-